summaryrefslogtreecommitdiffstats
path: root/gettext-tools/tests/msgcat-stringtable-1
diff options
context:
space:
mode:
authorBruno Haible <bruno@clisp.org>2005-07-18 10:34:14 +0000
committerBruno Haible <bruno@clisp.org>2009-06-23 12:12:38 +0200
commitec3d359cc6b934e304bcb406f038a991ce43cb06 (patch)
tree6e9489dde5f1426308a444fa01af5ce30b8917cb /gettext-tools/tests/msgcat-stringtable-1
parent2b878471fae78c793e01077da0040841337f3705 (diff)
downloadexternal_gettext-ec3d359cc6b934e304bcb406f038a991ce43cb06.zip
external_gettext-ec3d359cc6b934e304bcb406f038a991ce43cb06.tar.gz
external_gettext-ec3d359cc6b934e304bcb406f038a991ce43cb06.tar.bz2
Filter out warning message.
Diffstat (limited to 'gettext-tools/tests/msgcat-stringtable-1')
-rwxr-xr-xgettext-tools/tests/msgcat-stringtable-19
1 files changed, 6 insertions, 3 deletions
diff --git a/gettext-tools/tests/msgcat-stringtable-1 b/gettext-tools/tests/msgcat-stringtable-1
index 4cf1f1d..64bf7e5 100755
--- a/gettext-tools/tests/msgcat-stringtable-1
+++ b/gettext-tools/tests/msgcat-stringtable-1
@@ -27,11 +27,14 @@ is completely ignored, even if in "quotes", or \escape characters, etc.
"hoe322070.element";
EOF
-tmpfiles="$tmpfiles mcat-s-1.out"
+tmpfiles="$tmpfiles mcat-s-1.out mcat-s-1.err"
rm -f mcat-s-1.out
: ${MSGCAT=msgcat}
-${MSGCAT} --stringtable-input mcat-s-1.in -o mcat-s-1.out
-test $? = 0 || { rm -fr $tmpfiles; exit 1; }
+LC_MESSAGES=C LC_ALL= \
+${MSGCAT} --stringtable-input mcat-s-1.in -o mcat-s-1.out >mcat-s-1.err 2>&1
+result=$?
+cat mcat-s-1.err | grep -v 'msgcat: internationalized messages'
+test $result = 0 || { rm -fr $tmpfiles; exit 1; }
tmpfiles="$tmpfiles mcat-s-1.ok"
cat << \EOF > mcat-s-1.ok